Ir para conteúdo



Foto

Acbr No Delphi Xe5


  • Por favor, faça o login para responder
60 respostas neste tópico

#1 Alessandro Fazenda

Alessandro Fazenda

    Novato

  • Membros
  • Pip
  • 1 posts

Postado 23 September 2013 - 04:33 PM

Prezados,

 

Alguma previsão de liberação do instalador para reconhecer o Delphi XE5?

 

Att,

Alessandro Fazenda



#2 Isaque Pinheiro

Isaque Pinheiro

    Administrador

  • Administradores
  • 1611 posts
  • LocalizaçãoAracruz/ES

Postado 23 September 2013 - 04:42 PM

O ACBr, pode ser instalado manualmente no XE5, pelo ACBrInstall teremos que esperar o JEDI sair para XE5, pois usamos ele no ACBrInstall.


--
Isaque Pinheiro
Aracruz/ES - Brasil
Canais:
Tecsis, Blog, Twitter, Embarcadero, DevMedia, Facebook
Conheça o Projeto ACBr - Automaçao Comercial Brasil e assine nosso ACBrSAC


#3 tchuck

tchuck

    Membro Ativo

  • Membros
  • PipPipPip
  • 274 posts
  • LocalizaçãoNova Venécia-ES

Postado 25 September 2013 - 12:26 PM

O Jedi ja suporta o  DELPHI XE5 conforme informado no repositório dos componentes



#4 MAURICIO BARRETO

MAURICIO BARRETO

    Novato

  • Membros
  • Pip
  • 9 posts
  • LocalizaçãoIRECE - BAHIA

Postado 26 September 2013 - 07:55 AM

Tentei pelo instalador mais não conseguir...



#5 Régys Silveira

Régys Silveira

    Administrador

  • Administradores
  • 6144 posts
  • LocalizaçãoAraxá/MG

Postado 26 September 2013 - 09:26 AM

O instalador ainda não foi recompilado para XE5, estamos aguardando a liberação da biblioteca Jedi que utilizados para reconhecer o XE5 para recompilar o instalador.


certificacao delphi Régys Borges da Silveira
http://www.regys.com.br
Araxá / MG
 
Ajude o projeto ACBr a crescer colaborando, assine o nosso ACBrSAC

#6 Sergioguedes

Sergioguedes

    Membro Ativo

  • Membros
  • PipPipPip
  • 220 posts

Postado 28 September 2013 - 12:30 PM

O instalador ainda não foi recompilado para XE5, estamos aguardando a liberação da biblioteca Jedi que utilizados para reconhecer o XE5 para recompilar o instalador.

 

Ola Regys baixei a ultima versão do jedi do GitHub e já está funcionando no XE5 ja instalei e estou testando o JEDI.

 

Abraços


Atenciosamente

Sérgio Guedes

LSI Sistemas

Email: sergio@lsisistemas.com.br

Skype: sergio.lsisistemas

www.lsisistemas.com.br

Precisando de Integração com PDV NFC-e?

Conheça ClickPDVOEM

 


#7 Sergioguedes

Sergioguedes

    Membro Ativo

  • Membros
  • PipPipPip
  • 220 posts

Postado 28 September 2013 - 01:03 PM

Segue minha colaboração segue em anexo os fontes do ACBrInstall alterado para ser compatível com o XE5, e também o exe gerado por mim.

 

Link do instalador:

http://www.lsisistem...ACBrInstall.exe

 

Se estiver funcional podemos esperar para o pessoal do acbr adicionar no svn.

 

Abraços

Arquivo(s) anexado(s)


Editado por Sergioguedes, 28 September 2013 - 01:05 PM.

Atenciosamente

Sérgio Guedes

LSI Sistemas

Email: sergio@lsisistemas.com.br

Skype: sergio.lsisistemas

www.lsisistemas.com.br

Precisando de Integração com PDV NFC-e?

Conheça ClickPDVOEM

 


#8 Isaque Pinheiro

Isaque Pinheiro

    Administrador

  • Administradores
  • 1611 posts
  • LocalizaçãoAracruz/ES

Postado 30 September 2013 - 10:39 AM

Versões extras oficiais podem ser disponibilizadas no fórum a vontade, mas as alterações ou contribuições, só subirão para o repositório quando a suite JEDI for disponibilizada no site oficial, pois não podemos lançar versão do ACBrInstall se a suite que é o motor dele ainda está em versão beta, esse é nosso compromisso com nossos usuários que tentamos dentro do possível seguir.


  • Juliomar Marchetti e ArbSis curtiram isso

--
Isaque Pinheiro
Aracruz/ES - Brasil
Canais:
Tecsis, Blog, Twitter, Embarcadero, DevMedia, Facebook
Conheça o Projeto ACBr - Automaçao Comercial Brasil e assine nosso ACBrSAC


#9 medreis

medreis

    Membro

  • Membros
  • PipPip
  • 52 posts

Postado 30 September 2013 - 11:14 AM

Tentei instalar manualmente os componentes , porem esta ocorrendo erro com os pacotes Fast Repot, adicionei no componente

{$IFDEF VER260} fs19, frx19, frxe19, frxDB19, {$ENDIF} // XE5, mas mesmo assim esta ocorrendo erro ao compilar.

 

 

Forma, dialogs ..etc.  tive que colocar VCL.forms,  vcl.dialogs,  ai funcionou

 

 

 

Obrigado.


Editado por medreis, 30 September 2013 - 11:40 AM.


#10 Juliomar Marchetti

Juliomar Marchetti

    Moderador

  • Moderadores
  • 4970 posts
  • LocalizaçãoChapecó - SC

Postado 30 September 2013 - 11:18 AM

Qual o erro?


Atenciosamente
Juliomar Marchetti
skype: juliomar

Consultoria e Desenvolvimento

Paf-ECF/NF-e/NFC-e/TEF/CT-e/NFS-e/MDF-e/SPED/ Suíte ACBr
http://juliomarmarchetti.blogspot.com/

Projeto ACBr

Ajude o Projeto ACBr crescer ACBrSAC Fórum Privado

Chapecó/SC

 

 


#11 Sergioguedes

Sergioguedes

    Membro Ativo

  • Membros
  • PipPipPip
  • 220 posts

Postado 30 September 2013 - 10:18 PM

Tentei instalar manualmente os componentes , porem esta ocorrendo erro com os pacotes Fast Repot, adicionei no componente

{$IFDEF VER260} fs19, frx19, frxe19, frxDB19, {$ENDIF} // XE5, mas mesmo assim esta ocorrendo erro ao compilar.

 

 

Forma, dialogs ..etc.  tive que colocar VCL.forms,  vcl.dialogs,  ai funcionou

 

 

 

Obrigado.

 

Realmente está acontecendo esse erro, a partir do XE2 foi adicionado essa nova mudança de nomespace no delphi, mais não estava apresentando problemas até o XE4, deve ter acontecido alguma mudança no XE5.

 

Segue em anexo uma alteração que fiz para contornar e solucionar esse problema, será a mais correta?

 

Ex:

unit ACBrNFeDANFEFR

  {$IF CompilerVersion >=16.0} // Maior ou Igual que o Delphi XE2
   VCL.forms, vcl.dialogs,
   {$ELSE}
   forms, dialogs,
   {$ENDIF}

unit ACBrNFeDANFEFRReg;

  {$IFDEF VisualCLX} QDialogs {$ELSE}

  {$IF CompilerVersion >=16.0} // Maior que Delphi XE2
    vcl.dialogs
   {$ELSE}
    dialogs
   {$ENDIF}

  {$ENDIF},

Abraços

Arquivo(s) anexado(s)


Atenciosamente

Sérgio Guedes

LSI Sistemas

Email: sergio@lsisistemas.com.br

Skype: sergio.lsisistemas

www.lsisistemas.com.br

Precisando de Integração com PDV NFC-e?

Conheça ClickPDVOEM

 


#12 Isaque Pinheiro

Isaque Pinheiro

    Administrador

  • Administradores
  • 1611 posts
  • LocalizaçãoAracruz/ES

Postado 01 October 2013 - 07:03 AM

Já esta disponível a versão do ACBrInstall para XE5, subi ontem a noite.


  • Sergioguedes e FabricioMedeiros curtiram isso

--
Isaque Pinheiro
Aracruz/ES - Brasil
Canais:
Tecsis, Blog, Twitter, Embarcadero, DevMedia, Facebook
Conheça o Projeto ACBr - Automaçao Comercial Brasil e assine nosso ACBrSAC


#13 Sergioguedes

Sergioguedes

    Membro Ativo

  • Membros
  • PipPipPip
  • 220 posts

Postado 01 October 2013 - 02:54 PM

Já esta disponível a versão do ACBrInstall para XE5, subi ontem a noite.

 

Isaque chegou a verificar se essas minhas mudanças no danfe do Fast report são realmente necessárias? Porque não foi nada alterado no danfe quando baixei pelo svn. abraços


Editado por Sergioguedes, 01 October 2013 - 02:57 PM.

Atenciosamente

Sérgio Guedes

LSI Sistemas

Email: sergio@lsisistemas.com.br

Skype: sergio.lsisistemas

www.lsisistemas.com.br

Precisando de Integração com PDV NFC-e?

Conheça ClickPDVOEM

 


#14 braytiner

braytiner

    Novato

  • Membros
  • Pip
  • 2 posts
  • LocalizaçãoNova Friburgo

Postado 01 October 2013 - 03:11 PM

A instalação está funcionando perfeitamente.


‎"Reputação é o que as pessoas pensam a meu respeito. Caráter é o que eu sou quando ninguém está me olhando" - D.L. Moody -


#15 Geraconst

Geraconst

    Novato

  • Membros
  • Pip
  • 3 posts

Postado 16 October 2013 - 02:16 PM

eu instalei o acbr no xe5 normal, mas quando vou abrir o delphi ele começa a carregar e aparentemente no momento de carregar os pacotes do acbr

ele fecha e abre este site www.embarcadero.com%2Fproduct-validation-error

alguem pode me ajudar ?



#16 EMBarbosa

EMBarbosa

    Moderador

  • Administradores
  • 3439 posts

Postado 16 October 2013 - 02:19 PM

eu instalei o acbr no xe5 normal, mas quando vou abrir o delphi ele começa a carregar e aparentemente no momento de carregar os pacotes do acbr

ele fecha e abre este site www.embarcadero.com%2Fproduct-validation-error

alguem pode me ajudar ?

Você parece estar com uma licença inválida, entre em contato com a Embarcadero para conferir se não há problema algum com a sua licença.


[]'s
Elton

Ajude na documentação wiki do Projeto ACBr (fora do ar no momento)

 

int getRandomNumber() {return 4};


#17 stanleyalves

stanleyalves

    Membro

  • Membros
  • PipPip
  • 36 posts
  • LocalizaçãoRio de Janeiro

Postado 03 January 2014 - 08:25 AM

Não estou conseguindo instalar o Danfe para Delphi XE5



#18 Régys Silveira

Régys Silveira

    Administrador

  • Administradores
  • 6144 posts
  • LocalizaçãoAraxá/MG

Postado 03 January 2014 - 02:27 PM

Não estou conseguindo instalar o Danfe para Delphi XE5

 

Você precisa dar mais informações, qual modelo de DANFE está tentando instalar?


certificacao delphi Régys Borges da Silveira
http://www.regys.com.br
Araxá / MG
 
Ajude o projeto ACBr a crescer colaborando, assine o nosso ACBrSAC

#19 Gustavo Persan

Gustavo Persan

    Novato

  • Membros
  • Pip
  • 3 posts
  • LocalizaçãoBirigui/SP

Postado 06 January 2014 - 10:53 PM

stanleyalves, verifica se você instalou um dos suites necessários (QuickReport ou FastReport ou Rave). Sem não conter nenhum instalado, não vai funcionar mesmo !
 

#20 stanleyalves

stanleyalves

    Membro

  • Membros
  • PipPip
  • 36 posts
  • LocalizaçãoRio de Janeiro

Postado 16 January 2014 - 09:55 AM

Nós compramos o Delphi XE5 com update2 que vem com o FastReport, alguém poderia me ajudar?






Olá visitante,

Bem vindo ao fórum do Projeto ACBr.

Como visitante você não tem acesso a todas as funcionalidades de nosso fórum.
Por favor considere efetuar seu Registro, é rápido, simples, e gratuito.
Se já for usuário efetue Login